Loading...
Searching...
No Matches
lomiri::SyscallException Class Reference

Exception to indicate system or library call errors that set `errno`. More...

`#include <lomiri/LomiriExceptions.h>`

Inheritance diagram for lomiri::SyscallException:
[legend]
Collaboration diagram for lomiri::SyscallException:
[legend]

## Public Member Functions

| SyscallException (std::string const &reason, int err)
| Constructs the exception.
virtual std::exception_ptr | self () const override
| Returns a `std::exception_ptr` to `this`.
int | error () const noexcept
Public Member Functions inherited from lomiri::Exception
char const * | what () const noexcept override
| Returns a string describing the exception, including any exceptions that were nested or chained.
std::string | name () const
| Returns the name set by the derived class's constructor.
std::string | reason () const
| Returns the reason set by the derived class's constructor (empty string if none).
std::string | to_string (std::string const &indent=" ") const
| Returns a string describing the exception, including any exceptions that were nested or chained.
std::string | to_string (int indent_level, std::string const &indent) const
| Returns a string describing the exception, including any exceptions that were nested or chained.
std::exception_ptr | remember (std::exception_ptr earlier_exception)
| Adds an exception to the exception history chain.
std::exception_ptr | get_earlier () const noexcept
| Returns the previous exception.

## Additional Inherited Members

Protected Member Functions inherited from lomiri::Exception
| Exception (std::string const &name, std::string const &reason)
| Constructs an exception instance.

## Detailed Description

Exception to indicate system or library call errors that set `errno`.

## Constructor & Destructor Documentation

## SyscallException()

lomiri::SyscallException::SyscallException | ( | std::string const & | reason,
|  | int | err )

default

Constructs the exception.

Constructs the exception from a reason string and and error number.

Parameters

  reason | Further details about the cause of the exception.
  err | The UNIX `errno` value for the error.

## Member Function Documentation

## error()

int lomiri::SyscallException::error | ( |  | ) | const

noexcept

Returns
  Returns the error number that was passed to the constructor.

## self()

exception_ptr lomiri::SyscallException::self | ( |  | ) | const

override virtual

Returns a `std::exception_ptr` to `this`.

Implements lomiri::Exception.

The documentation for this class was generated from the following files:

- include/lomiri/LomiriExceptions.h
- src/lomiri/LomiriExceptions.cpp